extends ./../template.pug

block stylesheets
    link(rel="stylesheet", href="/static/stylesheets/edit_item.css")

block content
    .container
        h1 Création d'un utilisateur  
        form(action="/admin/create/", method="post")
            .form-group
                label(for="selectSection") Nom
                input(class="form-control" type="text" name="name" placeholder="Nom" )
                if errors.name
                    .alert.alert-danger.mt-2 #{errors.name.msg}
            .form-group
                label(for="selectSection") Prénom
                input(class="form-control" type="text" name="firstname" placeholder="Prénom")
                if errors.firstname
                    .alert.alert-danger.mt-2 #{errors.firstname.msg}
            .form-group
                label(for="selectSection") Email
                input(class="form-control" type="text", name="email" placeholder="Email")
                if errors.email
                    .alert.alert-danger.mt-2 #{errors.email.msg}
            .form-group
                label(for="selectSection") Mot de passe
                input(class="form-control" type="text", name="password" placeholder="Mot de passe")
                if errors.password
                    .alert.alert-danger.mt-2 #{errors.password.msg}
            .form-group
                label(for="selectSection") Role
                select(class="form-control" id="selectRole" name="selectRole")
                        each value in roleDAO
                                option(value=value.id) #{value.nom}
            .form-group
                label(for="selectShop") Rayon
                select(class="form-control" id="selectSection" name="selectSection")
                       each value in sectionDAO
                             option(value=value.id) #{value.nom} 
                       option(value="NULL") Pas de rayon    
            button(type="submit" class="btn btn-block btn-success") Ajouter
        